币币交易
币币成交记录查询
POST
/
platformapi
/
chainup
/
open
/
trade
/
getAll
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/trade/getAll
{
"code": "Lorem non culpa minim",
"msg": "est laboris",
"data": {
"count": 1,
"resultList": [
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
}
]
}
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
userId
string
用户id
Example: 2000001
symbol
string
required币对
Example: btcusdt
startDate
string
required开始时间,精确到秒 "yyyy-MM-dd HH:mm:ss"
Example: 2099-01-01 00:00:00
endDate
string
required结束时间,精确到秒 "yyyy-MM-dd HH:mm:ss".
Example: 2099-01-01 00:00:00
self
string
self参数为1,结果排除自成交数据。默认值为 0.
Example: 1
pageSize
string
每页数量(默认,20,最大1000,可以等于1000)
Example: 20
pageNumber
string
页数(默认1,第一页)
Example: 1
sort
string
1 代表 逆序
Example: 1
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/trade/getAll
{
"code": "Lorem non culpa minim",
"msg": "est laboris",
"data": {
"count": 1,
"resultList": [
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
},
{
"volume": "100",
"side": "BUY",
"buyFeeCoin": "btc",
"price": "0.1",
"buyFee": "0.001",
"ctime": 112334212321,
"sellFeeCoin": "usdt",
"id": 12321,
"sellFee": "0.001",
"bid_id": 33000003300001,
"ask_id": 33000013300001,
"bid_user_id": -230000,
"ask_user_id": 230000
}
]
}
}